Package org.apache.sling.commons.log.logback.internal.util

# Class SlingContextUtil

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
org.apache.sling.commons.log.logback.internal.util.SlingContextUtil

All Implemented Interfaces:
  `ch.qos.logback.core.spi.ContextAware`

public class SlingContextUtil extends ch.qos.logback.core.spi.ContextAwareBase
Custom util such that origin can be customized

## Field Summary

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`SlingContextUtil(@NotNull ch.qos.logback.core.Context context, @NotNull Object origin)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`protected @NotNull Object`
`getDeclaredOrigin()`
Return the origin where this instance was declared

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SlingContextUtil

public SlingContextUtil(@NotNull @NotNull ch.qos.logback.core.Context context, @NotNull @NotNull Object origin)
Constructor

Parameters:
  `context` - the logging context
  `origin` - the origin object

## Method Details

### getDeclaredOrigin

@NotNull protected @NotNull Object getDeclaredOrigin()
Return the origin where this instance was declared

Overrides:
  `getDeclaredOrigin` in class `ch.qos.logback.core.spi.ContextAwareBase`
Returns:
  the declared origin